function onBegin()
	makeUnskippable()
	disableMovement()
	engine.scene:RegisterAreaComplete()
	wait(1)
	setFlag("woxens_gallery_stylefade",true)
	wait(10)
	setFlag("woxens_gallery_edgefade",true)
	wait(40)
	setFlag("woxens_lightson",true)
	wait(71)
	setFlag("woxens_gallery_stylefade",false)
	wait(12)
	completeArea(false,true,true)
end